// SampleErrMsgDlg.h
//

#if !defined(AFX_SampleErrMsgDLG_H__2B4F5DB4_258D_4372_9460_F32C2A17CDFD__INCLUDED_)
#define AFX_SampleErrMsgDLG_H__2B4F5DB4_258D_4372_9460_F32C2A17CDFD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSampleErrMsgDlg

class CSampleErrMsgDlg : public CDialog
{
public:
	CSampleErrMsgDlg(CWnd* pParent = NULL);

	//{{AFX_DATA(CSampleErrMsgDlg)
	enum { IDD = IDD_SAMPLEERRMSG_DIALOG };
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CSampleErrMsgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;

	//{{AFX_MSG(CSampleErrMsgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnBtnPreview();
	//}}AFX_MSG
	afx_msg LRESULT OnTransferStart(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnTransferFinish(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnAVIFileStart(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnAVIFileFinish(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnPreviewWindowCreate(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnPreviewWindowClose(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
private:
	HANDLE m_hCamera;
	BOOL	m_bStatusTransfer;
	BOOL	m_bStatusAVIFile;
	BOOL	m_bStatusPreviewWnd;
	void StatusChanged(void);
	void ShowErrorMsg(DWORD dwErrorCode);
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_SampleErrMsgDLG_H__2B4F5DB4_258D_4372_9460_F32C2A17CDFD__INCLUDED_)
